P2 Update Site : install automatically GRECLIPSE while installing Jspresso

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

P2 Update Site : install automatically GRECLIPSE while installing Jspresso

Maxime HAMM
Hi 

My objective is to simplify Jspresso plugin installation by installing automatically the GREclipse plugins…
I've now a brand new Tycho P2 Update Site… which includes dependencies to all GREclipse features… but the "mvm package" command fails :
--> What do you think about the stack trace bellow ?
--> Do you have some instruction for me to correctly set up the dependencies to GREclipse ?

Kind regards,
Maxime

[ERROR]   Cannot satisfy dependency: org.jspresso.contrib.sjsplugin.p2updatesite.dependencies.feature.group 2.0.0.qualifier depends on: org.codehaus.groovy.m2eclipse.feature.group 0.0.0
[ERROR] 
[ERROR] Internal error: java.lang.RuntimeException: "No solution found because the problem is unsatisfiable.": ["Unable to satisfy dependency from org.codehaus.groovy.jdt.patch.feature.group 2.7.1.xx-20120921-2000-e37RELEASE to org.eclipse.jdt.feature.group 0.0.0.", "Unable to satisfy dependency from org.codehaus.groovy.jdt.patch.feature.group 2.7.1.xx-20120921-2000-e42RELEASE to org.eclipse.jdt.feature.group 0.0.0.", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.1.v_OTDT_r210_201206090452 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.2.v_OTDT_r211_201209011847 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "No solution found because the problem is unsatisfiable."] -> [Help 1]
org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: "No solution found because the problem is unsatisfiable.": ["Unable to satisfy dependency from org.codehaus.groovy.jdt.patch.feature.group 2.7.1.xx-20120921-2000-e37RELEASE to org.eclipse.jdt.feature.group 0.0.0.", "Unable to satisfy dependency from org.codehaus.groovy.jdt.patch.feature.group 2.7.1.xx-20120921-2000-e42RELEASE to org.eclipse.jdt.feature.group 0.0.0.", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.1.v_OTDT_r210_201206090452 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.2.v_OTDT_r211_201209011847 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "No solution found because the problem is unsatisfiable."]
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:168)
at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
Caused by: java.lang.RuntimeException: "No solution found because the problem is unsatisfiable.": ["Unable to satisfy dependency from org.codehaus.groovy.jdt.patch.feature.group 2.7.1.xx-20120921-2000-e37RELEASE to org.eclipse.jdt.feature.group 0.0.0.", "Unable to satisfy dependency from org.codehaus.groovy.jdt.patch.feature.group 2.7.1.xx-20120921-2000-e42RELEASE to org.eclipse.jdt.feature.group 0.0.0.", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.1.v_OTDT_r210_201206090452 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.2.v_OTDT_r211_201209011847 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "No solution found because the problem is unsatisfiable."]
at org.eclipse.tycho.p2.impl.resolver.AbstractResolutionStrategy.newResolutionException(AbstractResolutionStrategy.java:79)
at org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutionStrategy.java:83)
at org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:118)
at org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:76)
at org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatformResolver.java:448)
at org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolveDependencies(P2TargetPlatformResolver.java:425)
at org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:98)
at org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:64)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
... 11 more
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
 


Reply | Threaded
Open this post in threaded view
|

Re: P2 Update Site : install automatically GRECLIPSE while installing Jspresso

Andrew Eisenberg
The stack trace indicates that there is a conflicting dependency and
not all features can be installed.  It looks like you are trying to
install features from the greclipse 3.7 update site as well as the 4.2
update site.  Also, I'm guessing that both of these update sites are
in your pom.xml.  Remove the one that you are not using.  Or, you
could use a maven profile to add an update site depending on which
version of eclipse you are building for.

On Tue, Nov 13, 2012 at 3:07 PM, Maxime HAMM <[hidden email]> wrote:

> Hi
>
> My objective is to simplify Jspresso plugin installation by installing
> automatically the GREclipse plugins…
> I've now a brand new Tycho P2 Update Site… which includes dependencies to
> all GREclipse features… but the "mvm package" command fails :
> --> What do you think about the stack trace bellow ?
> --> Do you have some instruction for me to correctly set up the dependencies
> to GREclipse ?
>
> Kind regards,
> Maxime
>
> [ERROR]   Cannot satisfy dependency:
> org.jspresso.contrib.sjsplugin.p2updatesite.dependencies.feature.group
> 2.0.0.qualifier depends on: org.codehaus.groovy.m2eclipse.feature.group
> 0.0.0
> [ERROR]
> [ERROR] Internal error: java.lang.RuntimeException: "No solution found
> because the problem is unsatisfiable.": ["Unable to satisfy dependency from
> org.codehaus.groovy.jdt.patch.feature.group
> 2.7.1.xx-20120921-2000-e37RELEASE to org.eclipse.jdt.feature.group 0.0.0.",
> "Unable to satisfy dependency from
> org.codehaus.groovy.jdt.patch.feature.group
> 2.7.1.xx-20120921-2000-e42RELEASE to org.eclipse.jdt.feature.group 0.0.0.",
> "Unable to satisfy dependency from org.eclipse.jdt.core
> 3.8.1.v_OTDT_r210_201206090452 to
> org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
> "Unable to satisfy dependency from org.eclipse.jdt.core
> 3.8.2.v_OTDT_r211_201209011847 to
> org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "No
> solution found because the problem is unsatisfiable."] -> [Help 1]
> org.apache.maven.InternalErrorException: Internal error:
> java.lang.RuntimeException: "No solution found because the problem is
> unsatisfiable.": ["Unable to satisfy dependency from
> org.codehaus.groovy.jdt.patch.feature.group
> 2.7.1.xx-20120921-2000-e37RELEASE to org.eclipse.jdt.feature.group 0.0.0.",
> "Unable to satisfy dependency from
> org.codehaus.groovy.jdt.patch.feature.group
> 2.7.1.xx-20120921-2000-e42RELEASE to org.eclipse.jdt.feature.group 0.0.0.",
> "Unable to satisfy dependency from org.eclipse.jdt.core
> 3.8.1.v_OTDT_r210_201206090452 to
> org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
> "Unable to satisfy dependency from org.eclipse.jdt.core
> 3.8.2.v_OTDT_r211_201209011847 to
> org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "No
> solution found because the problem is unsatisfiable."]
> at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:168)
> at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
> at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
> at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
> at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
> at java.lang.reflect.Method.invoke(Method.java:597)
> at
> org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
> at
> org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
> at
> org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
> at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
> Caused by: java.lang.RuntimeException: "No solution found because the
> problem is unsatisfiable.": ["Unable to satisfy dependency from
> org.codehaus.groovy.jdt.patch.feature.group
> 2.7.1.xx-20120921-2000-e37RELEASE to org.eclipse.jdt.feature.group 0.0.0.",
> "Unable to satisfy dependency from
> org.codehaus.groovy.jdt.patch.feature.group
> 2.7.1.xx-20120921-2000-e42RELEASE to org.eclipse.jdt.feature.group 0.0.0.",
> "Unable to satisfy dependency from org.eclipse.jdt.core
> 3.8.1.v_OTDT_r210_201206090452 to
> org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
> "Unable to satisfy dependency from org.eclipse.jdt.core
> 3.8.2.v_OTDT_r211_201209011847 to
> org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "No
> solution found because the problem is unsatisfiable."]
> at
> org.eclipse.tycho.p2.impl.resolver.AbstractResolutionStrategy.newResolutionException(AbstractResolutionStrategy.java:79)
> at
> org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutionStrategy.java:83)
> at
> org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:118)
> at
> org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:76)
> at
> org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatformResolver.java:448)
> at
> org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolveDependencies(P2TargetPlatformResolver.java:425)
> at
> org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:98)
> at
> org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:64)
> at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
> at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
> ... 11 more
> [ERROR]
> [ERROR] To see the full stack trace of the errors, re-run Maven with the -e
> switch.
> [ERROR] Re-run Maven using the -X switch to enable full debug logging.
> [ERROR]
> [ERROR] For more information about the errors and possible solutions, please
> read the following articles:
> [ERROR] [Help 1]
> http://cwiki.apache.org/confluence/display/MAVEN/InternalErrorException
>
>
>

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: P2 Update Site : install automatically GRECLIPSE while installing Jspresso

Maxime HAMM
Hi Andrew

Thank you for answering so quickly !

I v'e now only eclipse 4.2 sites... but the message is close to the previous one... please help me a little more !

Maxime

mvn clean
[INFO] Scanning for projects...
[INFO] Computing target platform for MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin/pom.xml
[INFO] Fetching p2.index (0B of 126B at 0B/s) from http://dist.springsource.com/release/TOOLS/update/e4.2/
[INFO] Fetching p2.index (126B of 126B at 0B/s) from http://dist.springsource.com/release/TOOLS/update/e4.2/
[INFO] 1 operation remaining.
[INFO] Fetching p2.index (0B of 126B at 0B/s) from http://dist.springsource.com/release/TOOLS/update/e4.2/
[INFO] 1 operation remaining.
[INFO] Fetching p2.index (126B of 126B at 0B/s) from http://dist.springsource.com/release/TOOLS/update/e4.2/
[INFO] Fetching p2.index (0B of 96B at 0B/s) from http://download.eclipse.org/releases/juno/
[INFO] 1 operation remaining.
[INFO] Fetching p2.index (128B of 96B at 0B/s) from http://download.eclipse.org/releases/juno/
[INFO] Fetching p2.index (0B of 244B at 0B/s) from http://download.eclipse.org/releases/juno/201209280900/
[INFO] 1 operation remaining.
[INFO] Fetching p2.index (365B of 244B at 0B/s) from http://download.eclipse.org/releases/juno/201209280900/
[INFO] Fetching p2.index (0B of 244B at 0B/s) from http://download.eclipse.org/releases/juno/201206270900/
[INFO] 1 operation remaining.
[INFO] Fetching p2.index (365B of 244B at 0B/s) from http://download.eclipse.org/releases/juno/201206270900/
[INFO] Fetching p2.index (0B of 92B at 0B/s) from http://download.eclipse.org/technology/epp/packages/juno/
[INFO] 1 operation remaining.
[INFO] Fetching p2.index (116B of 92B at 0B/s) from http://download.eclipse.org/technology/epp/packages/juno/
[INFO] Fetching p2.index (0B of 96B at 0B/s) from http://download.eclipse.org/releases/juno/
[INFO] 1 operation remaining.
[INFO] Fetching p2.index (128B of 96B at 0B/s) from http://download.eclipse.org/releases/juno/
[INFO] Fetching p2.index (0B of 244B at 0B/s) from http://download.eclipse.org/releases/juno/201209280900/
[INFO] 1 operation remaining.
[INFO] Fetching p2.index (365B of 244B at 0B/s) from http://download.eclipse.org/releases/juno/201209280900/
[INFO] Fetching p2.index (0B of 244B at 0B/s) from http://download.eclipse.org/releases/juno/201206270900/
[INFO] 1 operation remaining.
[INFO] Fetching p2.index (365B of 244B at 0B/s) from http://download.eclipse.org/releases/juno/201206270900/
[INFO] Fetching p2.index (0B of 92B at 0B/s) from http://download.eclipse.org/technology/epp/packages/juno/
[INFO] 1 operation remaining.
[INFO] Fetching p2.index (116B of 92B at 0B/s) from http://download.eclipse.org/technology/epp/packages/juno/
[INFO] Fetching p2.index (0B of 96B at 0B/s) from http://download.eclipse.org/eclipse/updates/4.2/
[INFO] 1 operation remaining.
[INFO] Fetching p2.index (128B of 96B at 0B/s) from http://download.eclipse.org/eclipse/updates/4.2/
[INFO] Fetching p2.index (0B of 96B at 0B/s) from http://download.eclipse.org/eclipse/updates/4.2/
[INFO] 1 operation remaining.
[INFO] Fetching p2.index (128B of 96B at 0B/s) from http://download.eclipse.org/eclipse/updates/4.2/
[INFO] Resolving dependencies of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin/pom.xml
[INFO] Resolving class path of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin/pom.xml
[INFO] Computing target platform for MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.feature:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.feature/pom.xml
[INFO] Resolving dependencies of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.feature:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.feature/pom.xml
[INFO] Resolving class path of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.feature:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.feature/pom.xml
[INFO] Computing target platform for MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.brand:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.brand/pom.xml
[INFO] Resolving dependencies of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.brand:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.brand/pom.xml
[INFO] Resolving class path of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.brand:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.brand/pom.xml
[INFO] Computing target platform for MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.color:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.color/pom.xml
[INFO] Resolving dependencies of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.color:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.color/pom.xml
[INFO] Resolving class path of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.color:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.color/pom.xml
[INFO] Computing target platform for MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.color.feature:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.color.feature/pom.xml
[INFO] Resolving dependencies of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.color.feature:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.color.feature/pom.xml
[INFO] Resolving class path of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.color.feature:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.color.feature/pom.xml
[INFO] Computing target platform for MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.translation:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.translation/pom.xml
[INFO] Resolving dependencies of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.translation:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.translation/pom.xml
[INFO] Resolving class path of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.translation:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.translation/pom.xml
[INFO] Computing target platform for MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.translation.feature:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.translation.feature/pom.xml
[INFO] Resolving dependencies of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.translation.feature:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.translation.feature/pom.xml
[INFO] Resolving class path of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.translation.feature:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.translation.feature/pom.xml
[INFO] Computing target platform for MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.spring:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.spring/pom.xml
[INFO] Resolving dependencies of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.spring:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.spring/pom.xml
[INFO] Resolving class path of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.spring:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.spring/pom.xml
[INFO] Computing target platform for MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.spring.feature:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.spring.feature/pom.xml
[INFO] Resolving dependencies of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.spring.feature:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.spring.feature/pom.xml
[INFO] Resolving class path of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.spring.feature:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.spring.feature/pom.xml
[INFO] Computing target platform for MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.p2updatesite.dependencies:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.p2updatesite.dependencies/pom.xml
[INFO] Resolving dependencies of MavenProject: org.jspresso.contrib.sjsplugin:org.jspresso.contrib.sjsplugin.p2updatesite.dependencies:2.0.0-SNAPSHOT @ /Development/projects/sjsplug/org.jspresso.contrib.sjsplugin.p2updatesite.dependencies/pom.xml
[INFO] Cannot complete the request.  Generating details.
[INFO] Cannot complete the request.  Generating details.
[INFO] {osgi.ws=win32, osgi.os=win32, osgi.arch=x86, org.eclipse.update.install.features=true}
[ERROR] Cannot resolve project dependencies:
[ERROR]   Software being installed: org.jspresso.contrib.sjsplugin.p2updatesite.dependencies.feature.group 2.0.0.qualifier
[ERROR]   Missing requirement: org.codehaus.groovy.jdt.patch.feature.group 2.7.1.xx-20120921-2000-e42RELEASE requires 'org.eclipse.jdt.feature.group 0.0.0' but it could not be found
[ERROR]   Cannot satisfy dependency: org.jspresso.contrib.sjsplugin.p2updatesite.dependencies.feature.group 2.0.0.qualifier depends on: org.codehaus.groovy.jdt.patch.feature.group 0.0.0
[ERROR] 
[ERROR] Internal error: java.lang.RuntimeException: "No solution found because the problem is unsatisfiable.": ["Unable to satisfy dependency from org.codehaus.groovy.jdt.patch.feature.group 2.7.1.xx-20120921-2000-e42RELEASE to org.eclipse.jdt.feature.group 0.0.0.", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.1.v_OTDT_r210_201206090452 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.2.v_OTDT_r211_201209011847 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "No solution found because the problem is unsatisfiable."] -> [Help 1]
org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: "No solution found because the problem is unsatisfiable.": ["Unable to satisfy dependency from org.codehaus.groovy.jdt.patch.feature.group 2.7.1.xx-20120921-2000-e42RELEASE to org.eclipse.jdt.feature.group 0.0.0.", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.1.v_OTDT_r210_201206090452 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.2.v_OTDT_r211_201209011847 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "No solution found because the problem is unsatisfiable."]
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:168)
at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
Caused by: java.lang.RuntimeException: "No solution found because the problem is unsatisfiable.": ["Unable to satisfy dependency from org.codehaus.groovy.jdt.patch.feature.group 2.7.1.xx-20120921-2000-e42RELEASE to org.eclipse.jdt.feature.group 0.0.0.", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.1.v_OTDT_r210_201206090452 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.2.v_OTDT_r211_201209011847 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "No solution found because the problem is unsatisfiable."]
at org.eclipse.tycho.p2.impl.resolver.AbstractResolutionStrategy.newResolutionException(AbstractResolutionStrategy.java:79)
at org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutionStrategy.java:83)
at org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:118)
at org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:76)
at org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatformResolver.java:448)
at org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolveDependencies(P2TargetPlatformResolver.java:425)
at org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:98)
at org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:64)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
... 11 more
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:


Le 14 nov. 2012 à 00:12, Andrew Eisenberg <[hidden email]> a écrit :

The stack trace indicates that there is a conflicting dependency and
not all features can be installed.  It looks like you are trying to
install features from the greclipse 3.7 update site as well as the 4.2
update site.  Also, I'm guessing that both of these update sites are
in your pom.xml.  Remove the one that you are not using.  Or, you
could use a maven profile to add an update site depending on which
version of eclipse you are building for.

On Tue, Nov 13, 2012 at 3:07 PM, Maxime HAMM <[hidden email]> wrote:
Hi

My objective is to simplify Jspresso plugin installation by installing
automatically the GREclipse plugins…
I've now a brand new Tycho P2 Update Site… which includes dependencies to
all GREclipse features… but the "mvm package" command fails :
--> What do you think about the stack trace bellow ?
--> Do you have some instruction for me to correctly set up the dependencies
to GREclipse ?

Kind regards,
Maxime

[ERROR]   Cannot satisfy dependency:
org.jspresso.contrib.sjsplugin.p2updatesite.dependencies.feature.group
2.0.0.qualifier depends on: org.codehaus.groovy.m2eclipse.feature.group
0.0.0
[ERROR]
[ERROR] Internal error: java.lang.RuntimeException: "No solution found
because the problem is unsatisfiable.": ["Unable to satisfy dependency from
org.codehaus.groovy.jdt.patch.feature.group
2.7.1.xx-20120921-2000-e37RELEASE to org.eclipse.jdt.feature.group 0.0.0.",
"Unable to satisfy dependency from
org.codehaus.groovy.jdt.patch.feature.group
2.7.1.xx-20120921-2000-e42RELEASE to org.eclipse.jdt.feature.group 0.0.0.",
"Unable to satisfy dependency from org.eclipse.jdt.core
3.8.1.v_OTDT_r210_201206090452 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"Unable to satisfy dependency from org.eclipse.jdt.core
3.8.2.v_OTDT_r211_201209011847 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "No
solution found because the problem is unsatisfiable."] -> [Help 1]
org.apache.maven.InternalErrorException: Internal error:
java.lang.RuntimeException: "No solution found because the problem is
unsatisfiable.": ["Unable to satisfy dependency from
org.codehaus.groovy.jdt.patch.feature.group
2.7.1.xx-20120921-2000-e37RELEASE to org.eclipse.jdt.feature.group 0.0.0.",
"Unable to satisfy dependency from
org.codehaus.groovy.jdt.patch.feature.group
2.7.1.xx-20120921-2000-e42RELEASE to org.eclipse.jdt.feature.group 0.0.0.",
"Unable to satisfy dependency from org.eclipse.jdt.core
3.8.1.v_OTDT_r210_201206090452 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"Unable to satisfy dependency from org.eclipse.jdt.core
3.8.2.v_OTDT_r211_201209011847 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "No
solution found because the problem is unsatisfiable."]
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:168)
at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at
org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
at
org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
at
org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
Caused by: java.lang.RuntimeException: "No solution found because the
problem is unsatisfiable.": ["Unable to satisfy dependency from
org.codehaus.groovy.jdt.patch.feature.group
2.7.1.xx-20120921-2000-e37RELEASE to org.eclipse.jdt.feature.group 0.0.0.",
"Unable to satisfy dependency from
org.codehaus.groovy.jdt.patch.feature.group
2.7.1.xx-20120921-2000-e42RELEASE to org.eclipse.jdt.feature.group 0.0.0.",
"Unable to satisfy dependency from org.eclipse.jdt.core
3.8.1.v_OTDT_r210_201206090452 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"Unable to satisfy dependency from org.eclipse.jdt.core
3.8.2.v_OTDT_r211_201209011847 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "No
solution found because the problem is unsatisfiable."]
at
org.eclipse.tycho.p2.impl.resolver.AbstractResolutionStrategy.newResolutionException(AbstractResolutionStrategy.java:79)
at
org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutionStrategy.java:83)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:118)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:76)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatformResolver.java:448)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolveDependencies(P2TargetPlatformResolver.java:425)
at
org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:98)
at
org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:64)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
... 11 more
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e
switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please
read the following articles:
[ERROR] [Help 1]
http://cwiki.apache.org/confluence/display/MAVEN/InternalErrorException




---------------------------------------------------------------------
To unsubscribe from this list, please visit:

   http://xircles.codehaus.org/manage_email



Reply | Threaded
Open this post in threaded view
|

Re: P2 Update Site : install automatically GRECLIPSE while installing Jspresso

Andrew Eisenberg
It looks like the relevant error message is this:

> Missing requirement: org.codehaus.groovy.jdt.patch.feature.group
> 2.7.1.xx-20120921-2000-e42RELEASE requires 'org.eclipse.jdt.feature.group
> 0.0.0' but it could not be found

I don't know why the org.eclipse.jdt feature cannot be found.   I do
see that the setting org.eclipse.update.install.features=true.  Is
this something you explicitly enabled?  Try disabling it and see what
happens.

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email